Subject: Re: git-daemon on NSLU2

From: Theodore Tso <[email-masked]>
Date: Mon, 27 Aug 2007 07:03:18 -0400

On Sun, Aug 26, 2007 at 11:26:07AM -0700, Linus Torvalds wrote:
> > How about changing initial clone to refuse to use the git protocol?
> 
> Absolutely not. It's quite often the best one to use (the ssh protocol 
> has the exact same issues, and is the only secure protocol).
> 
> But on a SNLU2, maybe *you* want to make your server side refuse it? I 
> would be easy enough: if the client doesn't report any existing SHA1's, 
> you just say "I'm not going to work with you".

What if the server sends a message which current clients interprets as
an error, and which newer clients could interpret as, "do a clone from
<this> URL, and then come back and talk to me".  Basically an
automated redirect to get the "Linus base pack" somewhere else, and
then to go back to the original server.  It certainly doesn't make
sense to change anything about the low-level protocol, but maybe a
higher level redirect would make sense, just as a user convenience thing.

       	     	      	    	 	- Ted